Loading...
Searching...
No Matches
osmium::builder::attr Namespace Reference

## Functions

| OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR (object_handler, _id, osmium::object_id_type)
| OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR (object_handler, _version, osmium::object_version_type)
| OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR (entity_handler, _uid, osmium::user_id_type)
| OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR (entity_handler, _cid, osmium::changeset_id_type)
constexpr | _deleted (bool value=true) noexcept

## Function Documentation

## _deleted()

constexpr osmium::builder::attr::_deleted | ( | bool | value = `true` | ) |

explicit constexpr noexcept

## OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR() [1/4]

osmium::builder::attr::OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR | ( | entity_handler | ,
|  | _cid | ,
|  | osmium::changeset_id_type |
| ) |  |

## OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR() [2/4]

osmium::builder::attr::OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR | ( | entity_handler | ,
|  | _uid | ,
|  | osmium::user_id_type |
| ) |  |

## OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR() [3/4]

osmium::builder::attr::OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR | ( | object_handler | ,
|  | _id | ,
|  | osmium::object_id_type |
| ) |  |

## OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR() [4/4]

osmium::builder::attr::OSMIUM_ATTRIBUTE_WITH_CONSTRUCTOR | ( | object_handler | ,
|  | _version | ,
|  | osmium::object_version_type |
| ) |  |